Skip to content

List



GET /api/v1/objc_cfg/list

Overview

Get the Resource Catalog configuration list. This API does not support pagination.

Query Parameters

Parameter Name Type Required Description
targetWorkspaceUUIDs commaArray Authorized workspaces, multiple workspaces separated by commas.
Allow null: False
Allow empty string: False
objcGroupUUID string Business group UUID.
Allow null: False
Example: objcg_xxxx
Allow empty string: True
Max length: 64
sourceType string Y Source type.
Allow null: False
Example: custom_object
Allowed values: ['object', 'custom_object']
search string Search for object classification name.
Allow null: False
Example: xxx
timeRange string Time range.
Example: [1734402721237, 1734575521237]
Allow null: False

Parameter Supplementary Description

Request Example

curl 'https://openapi.truewatch.com/api/v1/objc_cfg/list?sourceType=custom_object&timeRange=[1734573756731]' \
-H 'DF-API-KEY: <DF-API-KEY>' \
--compressed

Response

{
    "code": 200,
    "content": [
        {
            "uuid": "objc_xxxx",
            "name": "test",
            "alias": "",
            "fields": [
                {
                    "name": "name1"
                },
                {
                    "name": "name2"
                }
            ],
            "filters": [],
            "tableColumns": [],
            "tableDetailViews": [
                {
                    "keys": {},
                    "title": "demo",
                    "required": true,
                    "viewName": "NtpQ Monitor View",
                    "viewType": "dashboard",
                    "timerange": "default"
                }
            ],
            "iconSet": {},
            "objcGroupUUID": "objcg_xxxx",
            "objcGroupInfo": {
                "workspaceUUID": "wksp_xxx",
                "name": "eeee",
                "id": 86,
                "uuid": "objcg_xxxx",
                "status": 0,
                "creator": "acnt_xxxx",
                "updator": "",
                "createAt": 1734512088,
                "deleteAt": -1,
                "updateAt": -1
            }
        }
    ],
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "868484794797253491"
}